Bug 1254381 - A pool name can be set as empty
A pool name can be set as empty
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 21.1
: ---
Assigned To: Roman Joost
: NeedsTestCase, Patch
Depends On:
  Show dependency treegraph
Reported: 2015-08-17 18:35 EDT by matt jia
Modified: 2015-10-20 23:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-20 23:25:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description matt jia 2015-08-17 18:35:29 EDT
Description of problem:

A pool name can be updated with empty value.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. go to a pool edit page
2. click Edit button
3. change name to empty and Click on Save Changes button

Actual results:

The pool's name is set as empty

Expected results:

Should not allow to set name as empty
Comment 1 Dan Callaghan 2015-08-24 00:45:58 EDT
Should be able to just add a SQLAlchemy validator to ensure the name is not empty string.
Comment 2 Roman Joost 2015-08-24 19:01:42 EDT
Patch in Gerrit:

Comment 5 Dan Callaghan 2015-10-20 23:25:20 EDT
Beaker 21.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.